CREATE TABLE gms_business_units (
    BU_ID                       NUMBER(18, 0) ,
    INSTITUTION_ID              NUMBER(18, 0) ,
    IND_RATE_SCH_ID             NUMBER(18, 0) ,
    CONTRACT_TYPE_ID            NUMBER(18, 0)     NOT NULL,
    DAY_TO_CLOSE                NUMBER(4, 0)  ,
    BILLING_CYCLE_ID            NUMBER(18, 0) ,
    LABOR_FORMAT_ID             NUMBER(18, 0) ,
    NON_LABOR_FORMAT_ID         NUMBER(18, 0) ,
    EVENT_FORMAT_ID             NUMBER(18, 0) ,
    REVENUE_METHOD_ID           NUMBER(18, 0) ,
    INVOICE_METHOD_ID           NUMBER(18, 0) ,
    UNDER_SPEND_PCT_TO          NUMBER(3, 0)      NOT NULL,
    ON_TRACK_PCT_TO             NUMBER(3, 0)      NOT NULL,
    US_VALUE_USED_IN_GRAPH      VARCHAR2(4)   ,
    OT_VALUE_USED_IN_GRAPH      VARCHAR2(4)   ,
    NET_INVOICE_FLAG            VARCHAR2(4)   ,
    INV_HDR_GROUPING_OPTIONS    VARCHAR2(4000),
    AUTO_RELEASE_INVOICE        VARCHAR2(120) ,
    INV_TRX_TYPE_ID             NUMBER(18, 0) ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    BU_ID                       NUMBER(18, 0) ,
    INSTITUTION_ID              NUMBER(18, 0) ,
    IND_RATE_SCH_ID             NUMBER(18, 0) ,
    CONTRACT_TYPE_ID            NUMBER(18, 0)     NOT NULL,
    DAY_TO_CLOSE                NUMBER(4, 0)  ,
    BILLING_CYCLE_ID            NUMBER(18, 0) ,
    LABOR_FORMAT_ID             NUMBER(18, 0) ,
    NON_LABOR_FORMAT_ID         NUMBER(18, 0) ,
    EVENT_FORMAT_ID             NUMBER(18, 0) ,
    REVENUE_METHOD_ID           NUMBER(18, 0) ,
    INVOICE_METHOD_ID           NUMBER(18, 0) ,
    UNDER_SPEND_PCT_TO          NUMBER(3, 0)      NOT NULL,
    ON_TRACK_PCT_TO             NUMBER(3, 0)      NOT NULL,
    US_VALUE_USED_IN_GRAPH      VARCHAR2(4)   ,
    OT_VALUE_USED_IN_GRAPH      VARCHAR2(4)   ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    NET_INVOICE_FLAG            VARCHAR2(4)   ,
    INV_HDR_GROUPING_OPTIONS    VARCHAR2(4000),
    AUTO_RELEASE_INVOICE        VARCHAR2(120) ,
    INV_TRX_TYPE_ID             NUMBER(18, 0) ,
    CONSTRAINT pk_gms_business_units PRIMARY KEY (BU_ID, BU_ID)
);
